Subject: [Lime] Eric Rescorla's No Record on draft-ietf-lime-yang-connection-oriented-oam-model-06: (with COMMENT)

From: Eric Rescorla <[email-masked]>
Date: Thu, 22 Feb 2018 07:22:08 -0800

Eric Rescorla has entered the following ballot position for
draft-ietf-lime-yang-connection-oriented-oam-model-06: No Record

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lime-yang-connection-oriented-oam-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I didn't really get through this, but I had a few editorial points.

It's almost certainly my unfamiliarity with the setting, but I found it
a bit hard to understand the context of this document. I think there
were two things I found a bit confusing:

1. Why you need a separate model for connectionless and connection-oriented
   OAM?

2. What sort of concepts should I be having in my head for MD,
   MA, and MEP? Are these kind of like "site", "link", and "endpoint"?

This may all be completely clear to people with OAM experience in
these settings, in which case feel free to ignore me. But it did
make it a bit hard for this layperson to read.

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Feb 2018 10:29:29 -0500

> https://datatracker.ietf.org/doc/draft-ietf-lime-yang-connection-oriented-oam-model/
The WG tried to a single model for both connectionless and 
connection-oriented (the charter didn't make the distinction), but that 
proved difficult. Therefore, It was decided to go with two different models.
Maybe we could have added this piece of history in the write-up.

Regards, Benoit

> .

---

From: Eric Rescorla <[email-masked]>
Date: Thu, 22 Feb 2018 07:43:38 -0800

> Maybe we could have added this piece of history in the write-up.
It would have helped me a bit to have a sentence for why. Perhaps something
like
"A companion document [REF] provides a model for connectionless protocols.
In the judgement of the
working group, these settings were sufficiently different to justify
distinct models"

-Ekr

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Feb 2018 13:18:19 -0500

On 2/22/2018 10:43 AM, Eric Rescorla wrote:
>
>
> On Thu, Feb 22, 2018 at 7:29 AM, Benoit Claise <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>         Please refer to
>         https://www.ietf.org/iesg/statement/discuss-criteria.html
>         <https://www.ietf.org/iesg/statement/discuss-criteria.html>
>         <https://datatracker.ietf.org/doc/draft-ietf-lime-yang-connection-oriented-oam-model/>
>
>
>
>     connection-oriented (the charter didn't make the distinction), but
>     that proved difficult. Therefore, It was decided to go with two
>     different models.
> It would have helped me a bit to have a sentence for why. Perhaps 
> something like
> "A companion document [REF] provides a model for connectionless 
> protocols. In the judgement of the
That's an easy fix.

Regards, B.